dbhtml_filename
Prev | Part 1. HTML Processing Instruction Reference | Next

## dbhtml_filename

dbhtml_filename — Specifies a filename for a chunk

## Synopsis

    <?dbhtml filename="filename"?>

## Description

When chunking output, use the `<?dbhtml filename?>` PI as a child of a chunk source to specify a filename for the output file for that chunk. Include the filename suffix.

You cannot include a directory path in the filename value, or your links may not work. Add a `<?dbhtml dir?>` processing instruction to specify the output directory. You can also combine the two specifications in one processing instruction: `<?dbhtml dir="mydir" filename="myfile.html"?>`.

## Parameters

filename="`path`"

  Specifies the filename for the file

## Related Global Parameters

`use.id.as.filename`

## Related Information in DocBook XSL: The Complete Guide

dbhtml filenames

Prev | Up | Next
dbhtml_dir | Home | dbhtml_funcsynopsis-style